Modify

#858 closed defect (worksforme)

msn - Login error: Someone else logged in with your account

Reported by: anonymous Owned by: wilmer
Priority: normal Milestone:
Component: MSN Version: devel
Keywords: msn login Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro: OpenBSD 5.0

Description

I'm using bitlbee r825, and I've been experiencing this issue:

09:30.58 <@root> msn - Logging in: Connecting
09:30.58 <@root> msn - Logging in: Connected to server, waiting for reply
09:30.58 <@root> msn - Logging in: Transferring to other server
09:30.58 <@root> msn - Logging in: Connected to server, waiting for reply
09:32.05 <@root> msn - Login error: Someone else logged in with your account
09:32.05 <@root> msn - Logging in: Signing off..

I'm not logged in already, and I can login to my msn account with eg. pidgin. This was happening also with the r823 workaround, so this was not that same problem what has been fixed with r824.

My bitlbee's dependencies have these versions:

  • glib2-2.28.8
  • gnutls-2.12.7
  • libgcrypt-1.4.6
  • gettext-0.18.1
  • libiconv-1.13
  • libgpg-error-1.10

--

Daniel

Attachments (0)

Change History (16)

comment:1 Changed at 2011-11-14T11:04:00Z by Daniel

On the other hand, it does seem to be some kind of timeout issue. The time between the last "waiting for reply" and the "Login error" message is always somewhere around 1min5secs.

--

Daniel

comment:2 Changed at 2011-11-14T11:08:03Z by wilmer

Weird.. However, this is simply what MSN is sending to BitlBee. Are you sure you don't have some other BitlBee/other IM instance running somewhere? That'd also explain the consistent timing since that one's probably automatically reconnecting every two minutes.

comment:3 Changed at 2011-11-14T14:54:45Z by anonymous

I really don't have another application using my login, and I can login with almost any other client (eg. pidgin).

comment:4 Changed at 2011-11-15T08:26:24Z by Daniel

I've recompiled with libpurple support. I was able to connect to my ICQ and Jabber accounts using the libpurple backed, but the MSN was still not working. I got this now: msn - Login error: Windows Live ID authentication:Unable to connect

Then I got an idea, and long story short, it was a firewall problem. bitlbee couldn't reach microsoft's servers on port 443. After fixing the firewall issue, libpurple could connect to everywhere.

But, after I dropped libpurple, bitlbee couldn't connect to msn again, and it just hung with the infamous 'Getting buddy list' message. So the final result is that I can now connect to msn with libpurple, but without it I can not. This can be closed now, and I'll see if this "getting buddy list" problem persists.

--

Daniel

comment:5 Changed at 2011-11-15T08:29:13Z by Wilmer van der Gaast <wilmer@…>

And that problem is with bzr revision 825 or higher (which should have the buddy list problem fixed)?

comment:6 Changed at 2011-11-15T08:38:05Z by Daniel

Yes, I always patch the bitlbee-3.0.3 tarball with bzr diff -r798. I've updated it yesterday after you've committed the "command shortening" patch.

--

Daniel

comment:7 Changed at 2011-11-15T08:45:37Z by Wilmer van der Gaast <wilmer@…>

Ah, okay. Why do you do it that way BTW, to avoid rebuilding docs? Because in that case there are tarballs that contain prebuilt docs.

I don't know why you're still getting connection failures though.. Runing with BITLBEE_DEBUG envvar set may help in finding out.

comment:8 Changed at 2011-11-15T09:33:11Z by Daniel

I'm building it from OpenBSD ports, and it is easier to maintain the patches/ directory than rolling a new tarball for every update :)

I'm now running bitlbee with BITLBEE_DEBUG in ForkDaemon mode without libpurple. Is it safe to copy-paste it's output here?

comment:9 Changed at 2011-11-15T09:40:59Z by Wilmer van der Gaast <wilmer@…>

Not all of it is safe, but if you stick to the last bits (the contacts HTTP request + response) you should be okay.

Are you getting any output yet? You may have to add the -n flag to not fully daemonise (i.e. close stdout/stderr).

comment:10 Changed at 2011-11-15T10:05:16Z by Daniel

I'm running it like this: BITLBEE_DEBUG=1 /usr/local/libexec/bitlbee -Fvn -i 127.0.0.1 -u _bitlbee

I'm getting output, but I can't say that it is consistent. Now approximately 1 out of 5 connection ends up with hanging at "getting buddy list". The other ones connect fine, they're just a bit slow. I'll try to disconnect/reconnect a few ten times, and see what happens.

comment:11 Changed at 2011-11-15T10:42:27Z by Daniel

This I think is some local problem, and has nothing to do with bitlbee. Especially if other users don't report problems like this.

comment:12 Changed at 2011-11-16T15:30:48Z by wilmer

Account-specific probably.

Well yeah, let me know what you want to do witht his bug then. Of course a 20% failure rate of logging in sucks, but to fix anything there I'll need to know what's happening exactly yes..

The debug output is definitely messy and incredibly verbose, yes.

comment:13 Changed at 2011-11-21T12:01:40Z by Daniel

Please close this for now, and if I get myself (and the debug outputs) together, I'll report another :)

--

Daniel

comment:14 Changed at 2011-11-22T18:45:29Z by wilmer

Resolution: worksforme
Status: newclosed

Ok!

comment:15 Changed at 2012-09-12T12:45:18Z by bitlbee@…

Just so you know I have the exact same problem on a Debian stable, Package: bitlbee, Version: 1.2.8-1

Exemple : I connect with Adium (from my laptop) without any errors. Then I connect with bitlbee from the Debian it disconnect me on both Adium and bitlbee. Then I can't connect with bitlbee but I can with Adium. I am curently connected on live.com but not connected to the messenger.

If it can help ...

comment:16 Changed at 2012-09-15T14:34:58Z by wilmer

The BitlBee MSN module does not support MPOP, I think that's the problem.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.